Bug 1156015 - Upgrade procedure of Reports from local setup to remote
Summary: Upgrade procedure of Reports from local setup to remote
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Lucy Bopf
QA Contact: Tahlia Richardson
URL:
Whiteboard: integration
Depends On: 1156009
Blocks: rhev35betablocker rhev35rcblocker rhev35gablocker 1193259
TreeView+ depends on / blocked
 
Reported: 2014-10-23 12:02 UTC by Shirly Radco
Modified: 2015-09-22 13:10 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1156009
Environment:
Last Closed: 2015-03-02 03:39:00 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Shirly Radco 2014-10-23 12:02:00 UTC
+++ This bug was initially created as a clone of Bug #1156009 +++

Description of problem:
The should be a wiki for upgrade procedure of Reports from local setup to remote.

Version-Release number of selected component (if applicable):
3.5

Comment 1 Yedidyah Bar David 2014-10-23 12:40:03 UTC
Overview of the process:

Start with a 3.5 engine/dwh/reports setup on a single host (from clean or upgraded)

* service ovirt-engine-reportsd stop
* Keep somewhere the db credentials (can be found at /var/lib/ovirt-engine-reports/build-conf/master.properties)
* yum remove ovirt-engine-reports (or rhevm-reports)

On the new reports machine:
* yum install ovirt-engine-reports
* engine-setup - supply existing credentials

I didn't try that myself.

As discussed, if you do not care about the data in the reports db, you can simply setup a new machine with a new db - in principle there can be more than one reports server.

Comment 2 Shirly Radco 2014-10-26 13:05:54 UTC
This process was not tested fully and should be tested.

Comment 3 Shirly Radco 2014-11-12 13:12:40 UTC
I tried it and it works.

The process for this should be :

Start with a 3.5 engine/dwh/reports setup on a single host (from clean or upgraded)

After the engine and dwh are setup successfully.

On the new reports machine:
* yum install ovirt-engine-reports
* engine-setup - supply existing credentials
  DWH credentials are located at /etc/ovirt-engine-dwh/ovirt-engine-dwhd.conf.d/10-setup-database.conf 

On the engine machine:
 If the user wants to remove the other reports installation
  * "Saved Reports" can be migrated to the new installation ,by following the steps 
    of export and import saved reports, according to the documentations .
 Only after that run on the old machine:
  * service ovirt-engine-reportsd stop
  * yum remove ovirt-engine-reports (or rhevm-reports)

Comment 4 Shirly Radco 2014-11-12 13:20:08 UTC
Important!
There may be more than one reports instance. And they will all show the reports.
But, The engine will direct to and have SSO with only with the last reports instance that run engine-setup.

Comment 5 Yaniv Lavi 2015-01-13 10:09:04 UTC
What is the status of this?

Comment 11 Laura Novich 2015-01-18 13:14:08 UTC
SME Review already done and vaild.

New section added here 
Topics 42376,  42377, 42378
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5/html/Administration_Guide/sect-Migrating_to_a_remote_machine.html#Migrating_the_Reports_to_a_Remote_Machine

What changed:
New section was added describing how to migrate the Reports to a remote machine.

Comment 14 Lucy Bopf 2015-02-08 23:14:54 UTC
Moving this bug back to assigned while I work on this content.

Comment 25 Lucy Bopf 2015-03-02 03:39:00 UTC
Included in the latest async release.


Note You need to log in before you can comment on or make changes to this bug.